# Interface BloomEffectFunctionJson

An Effect Function for the bloom effect.

interface BloomEffectFunctionJson {
radius?: number;
strength?: number;
threshold?: number;
type: "bloom";
}

#####
Index

### Properties

radius?
strength?
threshold?
type

##
Properties

### `Optional` radius

radius?: number

Determines the radius of the blur. Negative values are not allowed. Leaves the pixels inside the radius untouched.

### `Optional` strength

strength?: number

The intensity of the bloom effect. The higher the value, the brighter the glow. Negative values are not allowed.

### `Optional` threshold

threshold?: number

The minimum color luminosity for a pixel to bloom, where at 0 all pixels bloom and 1 only the pixels with 100% luminosity colors bloom.

### type

type

Effect type.